# Created by pyp2rpm-3.3.2
%global pypi_name prometheus_client

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        1%{?dist}.1
Summary:        Python client for the Prometheus monitoring system

License:        ASL 2.0
URL:            https://github.com/prometheus/client_python
Source0:        https://github.com/prometheus/client_python/archive/v%{version}/client_python-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
BuildRequires:  python2dist(twisted)
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(twisted)

%description
Python client for the Prometheus monitoring system.

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2dist(twisted)
%description -n python2-%{pypi_name}
Python client for the Prometheus monitoring system.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(twisted)
%description -n python3-%{pypi_name}
Python client for the Prometheus monitoring system.


%prep
%autosetup -n client_python-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{pypi_name}
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Wed Jun  6 2018 Oleg Girko <ol@infoserver.lv> - 0.2.0-1
- Initial package.
